**IMPORTANT: Please do not create a Pull Request without creating an issue first.**

_Any change needs to be discussed before proceeding. Failure to do so may result in the rejection of the pull request._

Please provide enough information so that others can review your pull request:

<!-- You can skip this if you're fixing a typo or adding an example. -->

Explain the **details** for making this change. What existing problem does the pull request solve and/or what capability does it add?

<!-- Example: When "Adding a function to do X", explain why it is necessary to have a way to do X. -->

**Test plan (required)**

Demonstrate the code is solid. Example: The exact commands you ran and their output, screenshots / videos if the pull request changes UI. The existing test framework (iqTest) is somewhat limited so if you are unable to add a test due to a limitation in the framework, please instead create a new example specific to the fuctionality changed/added covered in the PR.

<!-- If you added a test, please make sure the tests pass. -->

**Code formatting**

<!-- In lieu of a formal style-guide, take care to maintain the existing coding style. -->

**Build**

<!-- Please make sure the build completes successfully with your change. -->

**Closing issues**

Put `Closes #XXXX` in your comment to auto-close the issue that your PR fixes/addresses.
